<?php

namespace App\Http\Controllers;

use App\Audio;
use App\AudioLanguage;
use App\Genre;
use App\Audiogenre;
use App\Menu;
use App\WorldCupLive;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Intervention\Image\Facades\Image;

class WorldCupLiveController extends Controller
{

    public function index(Request $request)
    {
        if($request->search != NULL){
            $lives = DB::table('world_cup_lives')->where('title', 'like','%' . $request->search . '%')->paginate(12);
        }else{
            $lives = DB::table('world_cup_lives')->paginate(12);
        }
        return view('admin.WorldCupLive.index', compact('lives'));
    }

    public function edit($id)
    {
        $live = WorldCupLive::findOrFail($id);  
      
        return view('admin.WorldCupLive.edit', compact('live'));

    }

    public function update(Request $request, $id){
        $live = WorldCupLive::findOrFail($id);
        $input = $request->all();

        $live->update($input);
        return redirect('/admin/worldcuplive')->with('updated', 'live has been updated');
    }


}