<?php

namespace App\Http\Controllers;

use App\Audio;
use App\AudioLanguage;
use App\Genre;
use App\Audiogenre;
use App\Menu;
use App\WorldCupTeam;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Intervention\Image\Facades\Image;

class WorldCupTeamController extends Controller
{

    public function index(Request $request)
    {
        if($request->search != NULL){
            $teams = DB::table('World_Cup_Teams')->where('name', 'like','%' . $request->search . '%')->paginate(12);
        }else{
            $teams = DB::table('World_Cup_Teams')->paginate(12);
        }
        return view('admin.WorldCupTeam.index', compact('teams'));
    }

    public function create()
    {
        $genre_ls = Genre::pluck('name', 'id')->all();
        return view('admin.WorldCupTeam.create', compact( 'genre_ls'));
    }

    public function destroy($id)
    {
        if(env('DEMO_LOCK') == 1){
            return back()->with('deleted','This action is disabled in the demo !');
        }
        $new = WorldCupNew::findOrFail($id);
        $new->delete();
        return back()->with('deleted', 'Team has been deleted');

    }

    public function edit($id)
    {
        $team = WorldCupTeam::findOrFail($id);
        $genre_ls = Genre::pluck('name', 'id')->all();
        return view('admin.worldcupteam.edit', compact('team' ,'genre_ls'));

    }

    public function update(Request $request, $id){
        $team = WorldCupTeam::findOrFail($id);
        $input = $request->all();

        $team->update($input);
        return redirect('/admin/worldcupteam')->with('updated', 'Team has been updated');
    }

    public function store(Request $request)
    {
        
        $request->validate(['name' => 'required' , 'genre_id' =>'required']);
        $input = $request->all();
        $team = WorldCupTeam::create($input);
        return back()->with('added', 'Audio has been added');

    }

}